Intel® Enhanced Privacy ID SDK 2.0.0

Data Structures | Macros | Functions
nrverify.c File Reference

NrVerfy implementation. More...

`#include "epid/common/memory.h"`
`#include "epid/verifier/api.h"`
`#include "epid/verifier/context.h"`

## Data Structures
struct | NrVerifyCommitValues
| Storage for values to create commitment in NrProve algorithm. More...

## Macros
#define | BREAK_ON_EPID_ERROR(ret)
| Handle SDK Error with Break. More...

## Functions
EpidStatus | EpidNrVerify (VerifierCtx const *ctx, BasicSignature const *sig, void const *msg, size_t msg_len, SigRlEntry const *sigrl_entry, NrProof const *proof)
| Verifies the non-revoked proof for a single signature based revocation list entry. More...

## Detailed Description

NrVerfy implementation.

## Macro Definition Documentation

#define BREAK_ON_EPID_ERROR | ( |  | ret | ) |

Value:
if (kEpidNoErr != (ret)) { \
break; \
}
kEpidNoErr
no error
Definition: errors.h:41

Handle SDK Error with Break.